Post

1 follower Follow
0
Avatar

What browsers are supported with Clarizen V6?

What browsers are supported to work accurately with Clarizen V6?

Alissa Brown Answered

Please sign in to leave a comment.

1 comment

0
Avatar

The browsers I would recommend are Chrome or Firefox, since they automatically update ensuring the best performance and security. The latest version of Safari and IE11, IE10, IE9, and IE8 are also supported.  However, I would avoid using IE8 unless you have absolutely no other option. IE8 is completely outdated and most of the leading SaaS platforms are dropping support this year if they haven't done so already. 

Josh Santos 0 votes